<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/admin_panel_layout}">
<head>
    <meta charset="UTF-8">
    <title>Users</title>
</head>
<body>
<div layout:fragment="admin_panel_content" class="container mt-2">
    <table class="table table-striped table-hover">
        <thead>
        <th>Id</th>
        <th>Username</th>
        <th>Password</th>
        <th>Role</th>
        <th>Status</th>
        <th style="width: 190px;"></th>
        </thead>
        <tbody>
        <tr th:each="u : ${users}">
            <td th:text="${u.id}">index</td>
            <td th:text="${u.username}">username</td>
            <td th:text="${u.password}">password</td>
            <td th:text="${u.role}">category</td>
            <td th:text="${u.isActive() ? 'active' : 'banned'}">active</td>
            <td>
                <section th:remove="tag">
                    <form th:if="${!u.username.equals(auth.username) && u.isActive() && !auth.isUserRoleAdmin(u.role)}"
                          th:action="@{/user/ban}" method="post" class="d-inline">
                        <input type="hidden" name="id" th:value="${u.id}">
                        <button type="submit" class="btn btn-sm btn-outline-danger" title="Ban user">
                            <i class="fas fa-ban"></i>
                        </button>
                    </form>
                    <form th:if="${!u.username.equals(auth.username) && !u.isActive()}"
                          th:action="@{/user/restore}" method="post" class="d-inline">
                        <input type="hidden" name="id" th:value="${u.id}">
                        <button type="submit" class="btn btn-sm btn-outline-success" title="Restore user">
                            <i class="fas fa-reply"></i>
                        </button>
                    </form>
                </section>

                <section th:remove="tag">
                    <form th:if="${!u.username.equals(auth.username) && !auth.isUserRoleAdmin(u.role) && u.isActive()}"
                          th:action="@{/user/give-admin}" method="post" class="d-inline">
                        <input type="hidden" name="id" th:value="${u.id}">
                        <button type="submit" class="btn btn-sm btn-outline-primary" title="Set as admin">
                            <i class="fas fa-user-secret"></i>
                        </button>
                    </form>
                    <form th:if="${!u.username.equals(auth.username) && auth.isUserRoleAdmin(u.role)}"
                          th:action="@{/user/revoke-admin}" method="post" class="d-inline">
                        <input type="hidden" name="id" th:value="${u.id}">
                        <button type="submit" class="btn btn-sm btn-outline-primary" title="Revoke admin rights">
                            <i class="fas fa-user"></i>
                        </button>
                    </form>
                </section>

                <form th:if="${!u.username.equals(auth.username)}"
                      method="get" th:action="@{/user}" class="d-inline">
                    <input type="hidden" name="id" th:value="${u.id}">
                    <button type="submit" class="btn btn-sm btn-outline-primary" title="Edit user info">
                        <i class="fa fa-pen"></i>
                    </button>
                </form>
                <form th:if="${!u.username.equals(auth.username)}"
                      method="post" th:action="@{/user/delete}" class="d-inline">
                    <input type="hidden" name="id" th:value="${u.id}">
                    <button type="submit" class="btn btn-sm btn-outline-danger" title="Delete user">
                        <i class="fa fa-trash"></i>
                    </button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>